/*
     this is the config.h file
     main idea is that you will find here all
     macro-definitions for configuring the spin-program
     it is not necessary to edit other files any more (Feb2000)
 */
#ifndef _CONFIG_H
#define _CONFIG_H
#ifndef NN
#define NN       40		/* Number of sites/spins */
#define Nw	 (4*NN)		/* Number of bounds (square-J1-J2) */
#endif
#define CM(JJ,tJ,tU) JJ	  /* Heisenberg-,  t-J- or  Hubbard-model */
#define NEW  4		/* number of eigenvalues to calculate */

/* now some tuning options (memory versus speed): */
// #define B_NUM    4           /* maximum number of threads per node */
// #define NZXMAX 176           /* maximum number nonzero elements per line */
// #define NUM_AHEAD_LINES (64) /* must be 1 or greater */
// #define HBLen (1024*1024)    /* storage blocks, bandwith versus latency */

#define STOREH 0	
/* store matrix to 0=memory, 2=disk, 3=disk.gz 4=disk_buffered */

#undef CONFIG_ANSATZ    /* define/undef CONFIG_ANSATZ for using this! */

#define VecType  1      /* undef for default or define to 0, 1, 2, ... 5 */
/* 0=float,1=double,2=long dbl,4=complex-flt (c++),5=complex-dbl (c++) Apr99 */

/* --- ABEL(NOABEL) use of Abel(non-Abel) symmetries --- */
#define CONFIG_NOABEL 1		/* CONFIG_ABEL or CONFIG_NOABEL */

/* --- S1SYM - special handling for composed spins (Lieb-Mattis-SL) --- */
#define CONFIG_S1SYM  1		/* CONFIG_S1SYM or CONFIG_NOS1SYM */
/*
 *  CONFIG_S1SYM useful for spin-1 systems with a lot of symmetries
 *             - does reduce the time needed for scanning for symmetries
 *             - this option should vanish in later versions (js Okt.98)
 */
/*
 * #define HFIELD if you want to have a magnetic field on each site
 * #undef  HFIELD if you do not need a magnetic field, its a bit faster
 */
#undef HFIELD
/*
 * #define SSANISO if you want to have a single-site anisotropy (by R. Schmidt)
 * #undef  SSANISO if you do not need single site anisotropy (runs faster)
 */
#undef SSANISO
/*
 * #define CONFIG_TBC if you want to have a TBC (twisted boundary conditions)
 * #undef  CONFIG_TBC if you do not need TBC, its faster
 */
#undef CONFIG_TBC

#define MaxSym   410      /* adjust it, takes S_int*(3*NN+5) memory */

#endif
